curl --request GET \
--url https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id} \
--header 'Authorization: Bearer <token>' \
--header 'Requester-Organization-ID: <requester-organization-id>' \
--header 'Target-Organization-ID: <target-organization-id>'import requests
url = "https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id}"
headers = {
"Requester-Organization-ID": "<requester-organization-id>",
"Target-Organization-ID": "<target-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Requester-Organization-ID': '<requester-organization-id>',
'Target-Organization-ID': '<target-organization-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Requester-Organization-ID: <requester-organization-id>",
"Target-Organization-ID: <target-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Requester-Organization-ID", "<requester-organization-id>")
req.Header.Add("Target-Organization-ID", "<target-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id}")
.header("Requester-Organization-ID", "<requester-organization-id>")
.header("Target-Organization-ID", "<target-organization-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Requester-Organization-ID"] = '<requester-organization-id>'
request["Target-Organization-ID"] = '<target-organization-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "b2a9f8d3-7b7d-4c1b-a2a1-9c2d0b123456",
"credit_application_type": "credit_terms",
"forwarder": {
"id": "c1e2f3b4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"name": "Example Corp.",
"email": "info@example.com"
},
"shipper": {
"id": "c1e2f3b4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"name": "Example Corp.",
"email": "info@example.com"
},
"status": "pending",
"created_at": "2025-01-01T12:00:00.123456",
"updated_at": "2025-01-02T12:00:00.123456",
"expires_at": "2025-01-02T12:00:00.123456",
"data": {
"details": {
"annual_revenue": 50000,
"credit_amount": 10000,
"currency": "USD",
"payment_terms": "Net 30",
"freight_spend": 10000,
"purpose": "Purchase of example goods"
},
"trade_profile": {
"shipping_routes": [
"New York - Rotterdam",
"Shanghai - Los Angeles"
],
"trade_types": [
"import"
],
"avg_shipment_value": 15000
},
"trade_profile_document": {
"filename": "trade_profile_q1.pdf"
},
"security_compliance": [
{
"title": "Sign a credit agreement",
"other": true,
"description": "A formal agreement outlining the terms and remedies in case of non-payment"
}
]
},
"extra_details": {
"created_at": "2025-01-01T12:00:00.123456",
"updated_at": "2025-01-01T12:00:00.123456",
"proposed_amount": 60000,
"proposed_terms": "Net 45"
}
}{
"detail": [
{
"loc": [],
"msg": "Unsupported CRUD operation!",
"type": "request",
"code": "unsupported_crud_operation"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Access denied!",
"type": "request",
"code": "access_denied"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
},
{
"loc": [],
"msg": "Credit application not found!",
"type": "request",
"code": "credit_application_not_found"
},
{
"loc": [],
"msg": "Organization not found!",
"type": "request",
"code": "organization_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
},
{
"loc": [],
"msg": "The organization is in the process of being deleted! The removal process may take up to 24 hours.",
"type": "request",
"code": "organization_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Get credit application
Retrieve detailed information about a specific credit application.
Authorization scenarios
| Guest | Host | Self |
|---|---|---|
| ✅ | ❌ | ✅ |
curl --request GET \
--url https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id} \
--header 'Authorization: Bearer <token>' \
--header 'Requester-Organization-ID: <requester-organization-id>' \
--header 'Target-Organization-ID: <target-organization-id>'import requests
url = "https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id}"
headers = {
"Requester-Organization-ID": "<requester-organization-id>",
"Target-Organization-ID": "<target-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Requester-Organization-ID': '<requester-organization-id>',
'Target-Organization-ID': '<target-organization-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Requester-Organization-ID: <requester-organization-id>",
"Target-Organization-ID: <target-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Requester-Organization-ID", "<requester-organization-id>")
req.Header.Add("Target-Organization-ID", "<target-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id}")
.header("Requester-Organization-ID", "<requester-organization-id>")
.header("Target-Organization-ID", "<target-organization-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Requester-Organization-ID"] = '<requester-organization-id>'
request["Target-Organization-ID"] = '<target-organization-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "b2a9f8d3-7b7d-4c1b-a2a1-9c2d0b123456",
"credit_application_type": "credit_terms",
"forwarder": {
"id": "c1e2f3b4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"name": "Example Corp.",
"email": "info@example.com"
},
"shipper": {
"id": "c1e2f3b4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"name": "Example Corp.",
"email": "info@example.com"
},
"status": "pending",
"created_at": "2025-01-01T12:00:00.123456",
"updated_at": "2025-01-02T12:00:00.123456",
"expires_at": "2025-01-02T12:00:00.123456",
"data": {
"details": {
"annual_revenue": 50000,
"credit_amount": 10000,
"currency": "USD",
"payment_terms": "Net 30",
"freight_spend": 10000,
"purpose": "Purchase of example goods"
},
"trade_profile": {
"shipping_routes": [
"New York - Rotterdam",
"Shanghai - Los Angeles"
],
"trade_types": [
"import"
],
"avg_shipment_value": 15000
},
"trade_profile_document": {
"filename": "trade_profile_q1.pdf"
},
"security_compliance": [
{
"title": "Sign a credit agreement",
"other": true,
"description": "A formal agreement outlining the terms and remedies in case of non-payment"
}
]
},
"extra_details": {
"created_at": "2025-01-01T12:00:00.123456",
"updated_at": "2025-01-01T12:00:00.123456",
"proposed_amount": 60000,
"proposed_terms": "Net 45"
}
}{
"detail": [
{
"loc": [],
"msg": "Unsupported CRUD operation!",
"type": "request",
"code": "unsupported_crud_operation"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Access denied!",
"type": "request",
"code": "access_denied"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
},
{
"loc": [],
"msg": "Credit application not found!",
"type": "request",
"code": "credit_application_not_found"
},
{
"loc": [],
"msg": "Organization not found!",
"type": "request",
"code": "organization_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
},
{
"loc": [],
"msg": "The organization is in the process of being deleted! The removal process may take up to 24 hours.",
"type": "request",
"code": "organization_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Authorizations
Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.
Headers
The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.
"054b4106-174b-46b0-97f8-86d8d7b6f0af"
The unique identifier of the organization that is the target of the request.
The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources.
If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.
"123e4567-e89b-12d3-a456-426614174000"
Path Parameters
Unique identifier of the credit application
"b2a9f8d3-7b7d-4c1b-a2a1-9c2d0b123456"
Response
Successful Response
Unique identifier of the credit application
"b2a9f8d3-7b7d-4c1b-a2a1-9c2d0b123456"
Type of credit application
credit_terms, trade_finance, factoring Organization that is part of the credit application
Show child attributes
Show child attributes
Organization that is part of the credit application
Show child attributes
Show child attributes
Current status of the credit application
pending, internal_review, external_review, needs_action, approved, finalized, declined, rejected, expired, sign_document_created, sign_document_in_progress, sign_document_completed, sign_document_expired, sign_document_canceled, sign_document_declined, sign_document_process_failed Timestamp when the credit application was created
"2025-01-01T12:00:00.123456"
Timestamp when the credit application was last updated
"2025-01-02T12:00:00.123456"
Timestamp when the credit application will expire
"2025-01-02T12:00:00.123456"
- CreditTermsData
- TradeFinanceData
- FactoringData
Show child attributes
Show child attributes
- RetrieveCreditApplicationPostApprovalChange
- RetrieveCreditApplicationNeedsActionChange
- RetrieveCreditApplicationDeclineDetail
Show child attributes
Show child attributes